import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { withKnobs, text } from "@storybook/addon-knobs";
import { html } from "lit-html";
import CATEGORIES from "../categories";

<Meta title={CATEGORIES.STATIC + "Tags"} />

# Tag

This is a static, non-clickable tag. To use clickable tags, use the [Tag web-component](?path=/docs/web-components-tags--tag) instead

<Canvas
    mdxSource={`
    <span class="ui-tag">Tag</span>
`}
>
    <Story name="Tag" parameters={{ decorators: [withKnobs] }}>
        {html` <span class="ui-tag">${text("Label", "Tag")}</span> `}
    </Story>
</Canvas>

# Tag List

<Canvas
    mdxSource={`
    <div class="ui-tag-list">
        <span class="ui-tag">Tag 1</span>
        <span class="ui-tag">Tag 2</span>
        <span class="ui-tag">Tag 3</span>
        <span class="ui-tag">Tag 4</span>
        <span class="ui-tag">Tag 5</span>
    </div>
`}
>
    <Story name="Tag List" parameters={{ decorators: [withKnobs] }}>
        {html`
            <div class="ui-tag-list">
                <span class="ui-tag">Tag 1</span>
                <span class="ui-tag">Tag 2</span>
                <span class="ui-tag">Tag 3</span>
                <span class="ui-tag">Tag 4</span>
                <span class="ui-tag">Tag 5</span>
            </div>
        `}
    </Story>
</Canvas>
